## libqmail 1.5

=== debian/changelog ===
libqmail (1.5-1.1+67.1) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 03 Oct 2025 10:49:50 +0000

libqmail (1.5-1.1) stable; urgency=low

  * tls.c: added imap to starttls enumeration
  * case_uppers.c: added case_uppers() function
  * case_upperb.c: added case_upperb() function
  * pathexec_env.c: added pathexec_env_plus() to add env variables from plus variable
  * commands.c, commands.h: added cmd_name() function
  * Fix errors when using GCC14
  * error.c, error.h: added error_invalid for EINVAL
  * now.c, tai_now.c: Fixed datatype for argument passed to time()

 -- Manvendra Bhangui <libqmail@indimail.org>  Fri, 03 Oct 2025 10:47:37 +0000
